/// <reference types="react" />
export interface DToastProps extends React.HTMLAttributes<HTMLDivElement> {
    dVisible: boolean;
    dType?: 'success' | 'warning' | 'error' | 'info';
    dIcon?: React.ReactNode;
    dDuration?: number;
    dPlacement?: 'top' | 'bottom';
    dEscClosable?: boolean;
    onClose?: () => void;
    afterVisibleChange?: (visible: boolean) => void;
}
export declare function DToast(props: DToastProps): JSX.Element | null;
