import type { DFormControl } from '../form';
import React from 'react';
export type DTextareaRef = HTMLTextAreaElement;
export interface DTextareaProps extends React.InputHTMLAttributes<HTMLTextAreaElement> {
    dFormControl?: DFormControl;
    dModel?: string;
    dRows?: 'auto' | {
        minRows?: number;
        maxRows?: number;
    };
    dResizable?: boolean;
    dShowCount?: boolean | ((num: number) => React.ReactNode);
    onModelChange?: (value: string) => void;
}
export declare const DTextarea: React.ForwardRefExoticComponent<DTextareaProps & React.RefAttributes<HTMLTextAreaElement>>;
